<?php
function smarty_modifier_cleantoentities($text)
{
	$text = str_replace(
		array('€','ü','Ü','ö','Ö','ä','Ä','»','«','ß','©','®','™','„','“'), 
		array('&euro;','&uuml;', '&Uuml;','&ouml;','&Ouml;','&auml;','&Auml;','&raquo;', '&laquo;', '&szlig;','&copy;','&reg;','&trade;','&bdquo;','&ldquo;'), 
		$text);
	return $text;
}
?>